## WebKitDOMTouch WebKitDOMTouch |

## Functions

glong | webkit_dom_touch_get_client_x ()
glong | webkit_dom_touch_get_client_y ()
glong | webkit_dom_touch_get_screen_x ()
glong | webkit_dom_touch_get_screen_y ()
glong | webkit_dom_touch_get_page_x ()
glong | webkit_dom_touch_get_page_y ()
WebKitDOMEventTarget * | webkit_dom_touch_get_target ()
gulong | webkit_dom_touch_get_identifier ()
glong | webkit_dom_touch_get_webkit_radius_x ()
glong | webkit_dom_touch_get_webkit_radius_y ()
gfloat | webkit_dom_touch_get_webkit_rotation_angle ()
gfloat | webkit_dom_touch_get_webkit_force ()

## Properties

glong | client-x | Read
glong | client-y | Read
gulong | identifier | Read
glong | page-x | Read
glong | page-y | Read
glong | screen-x | Read
glong | screen-y | Read
WebKitDOMEventTarget * | target | Read
gfloat | webkit-force | Read
glong | webkit-radius-x | Read
glong | webkit-radius-y | Read
gfloat | webkit-rotation-angle | Read

## Types and Values

| WebKitDOMTouch

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTouch

## Description

## Functions

### webkit_dom_touch_get_client_x ()

    glong
    webkit_dom_touch_get_client_x (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_client_y ()

    glong
    webkit_dom_touch_get_client_y (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_screen_x ()

    glong
    webkit_dom_touch_get_screen_x (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_screen_y ()

    glong
    webkit_dom_touch_get_screen_y (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_page_x ()

    glong
    webkit_dom_touch_get_page_x (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_page_y ()

    glong
    webkit_dom_touch_get_page_y (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_target ()

    WebKitDOMEventTarget *
    webkit_dom_touch_get_target (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A WebKitDOMEventTarget.

[transfer none]

### webkit_dom_touch_get_identifier ()

    gulong
    webkit_dom_touch_get_identifier (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A gulong

### webkit_dom_touch_get_webkit_radius_x ()

    glong
    webkit_dom_touch_get_webkit_radius_x (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_webkit_radius_y ()

    glong
    webkit_dom_touch_get_webkit_radius_y (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A glong

### webkit_dom_touch_get_webkit_rotation_angle ()

    gfloat
    webkit_dom_touch_get_webkit_rotation_angle
                                   (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A gfloat

### webkit_dom_touch_get_webkit_force ()

    gfloat
    webkit_dom_touch_get_webkit_force (WebKitDOMTouch *self);

#### Parameters

self | A WebKitDOMTouch |

#### Returns

A gfloat

## Types and Values

### WebKitDOMTouch

    typedef struct _WebKitDOMTouch WebKitDOMTouch;

## Property Details

### The `“client-x”` property

      “client-x”                 glong

read-only glong Touch:client-x.

Flags: Read

Default value: 0

### The `“client-y”` property

      “client-y”                 glong

read-only glong Touch:client-y.

Flags: Read

Default value: 0

### The `“identifier”` property

      “identifier”               gulong

read-only gulong Touch:identifier.

Flags: Read

### The `“page-x”` property

      “page-x”                   glong

read-only glong Touch:page-x.

Flags: Read

Default value: 0

### The `“page-y”` property

      “page-y”                   glong

read-only glong Touch:page-y.

Flags: Read

Default value: 0

### The `“screen-x”` property

      “screen-x”                 glong

read-only glong Touch:screen-x.

Flags: Read

Default value: 0

### The `“screen-y”` property

      “screen-y”                 glong

read-only glong Touch:screen-y.

Flags: Read

Default value: 0

### The `“target”` property

      “target”                   WebKitDOMEventTarget *

read-only WebKitDOMEventTarget* Touch:target.

Flags: Read

### The `“webkit-force”` property

      “webkit-force”             gfloat

read-only gfloat Touch:webkit-force.

Flags: Read

Default value: 0

### The `“webkit-radius-x”` property

      “webkit-radius-x”          glong

read-only glong Touch:webkit-radius-x.

Flags: Read

Default value: 0

### The `“webkit-radius-y”` property

      “webkit-radius-y”          glong

read-only glong Touch:webkit-radius-y.

Flags: Read

Default value: 0

### The `“webkit-rotation-angle”` property

      “webkit-rotation-angle”    gfloat

read-only gfloat Touch:webkit-rotation-angle.

Flags: Read

Default value: 0